---
search:
  tags:
    - Brands
    - GET
seo:
  description: >-
    Retrieves all series belonging to the specified… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/brands/{brand_id}/series endpoint in the
    Management API.
sidebar:
  label: List all series for a brand
  badge: GET
title: List all series for a brand
type: openapi-operation
---
Retrieves all series belonging to the specified brand with optional filtering by name. Validates that the brand exists. Includes series details, logo, cover image, description, and translations for each series.

`GET /api/v1/{team_slug}/{app_slug}/brands/{brand_id}/series`

**Responses**

- `200` — Series retrieved successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "brand": {
        "id": "string",
        "name": "string",
        "slug": "string"
      },
      "cover": {
        "alt": "string",
        "app_id": "string",
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "blurhash": "string",
        "copyright": "string",
        "custom": {
          "property1": "string",
          "property2": "string"
        },
        "folder_id": "string",
        "id": "string",
        "parent_id": "string",
        "public": true,
        "status": "string",
        "title": "string",
        "translations": {
          "alt": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "copyright": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "title": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "url": "string"
      },
      "created_at": "string",
      "description": "string",
      "email": "string",
      "id": "string",
      "logo": {
        "alt": "string",
        "app_id": "string",
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "blurhash": "string",
        "copyright": "string",
        "custom": {
          "property1": "string",
          "property2": "string"
        },
        "folder_id": "string",
        "id": "string",
        "parent_id": "string",
        "public": true,
        "status": "string",
        "title": "string",
        "translations": {
          "alt": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "copyright": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "title": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "url": "string"
      },
      "name": "string",
      "slug": "string",
      "translations": {
        "description": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "updated_at": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}
```
